org.apache.hadoop.yarn.security.client

## Class ClientToAMTokenSelector

- java.lang.Object
- - org.apache.hadoop.yarn.security.client.ClientToAMTokenSelector

- All Implemented Interfaces:
    org.apache.hadoop.security.token.TokenSelector<ClientToAMTokenIdentifier>

      public class ClientToAMTokenSelector
      extends Object
      implements org.apache.hadoop.security.token.TokenSelector<ClientToAMTokenIdentifier>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientToAMTokenSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.security.token.Token<ClientToAMTokenIdentifier>` | `selectToken(org.apache.hadoop.io.Text service, Collection<org.apache.hadoop.security.token.Token<? extends org.apache.hadoop.security.token.TokenIdentifier>> tokens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientToAMTokenSelector

          public ClientToAMTokenSelector()

  - ### Method Detail

    - #### selectToken

          public org.apache.hadoop.security.token.Token<ClientToAMTokenIdentifier> selectToken(org.apache.hadoop.io.Text service,
                                                                                               Collection<org.apache.hadoop.security.token.Token<? extends org.apache.hadoop.security.token.TokenIdentifier>> tokens)

      Specified by:
        `selectToken` in interface `org.apache.hadoop.security.token.TokenSelector<ClientToAMTokenIdentifier>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.